Subject: Re: [PATCH 2.6.20] kobject net ifindex + rename

From: Greg KH <[email-masked]>
Date: Wed, 28 Feb 2007 07:36:17 -0800

On Tue, Feb 27, 2007 at 05:27:41PM -0800, Jean Tourrilhes wrote:
> diff -u -p linux/drivers/base/class.j1.c linux/drivers/base/class.c
> --- linux/drivers/base/class.j1.c	2007-02-26 18:38:10.000000000 -0800
> +++ linux/drivers/base/class.c	2007-02-27 15:52:37.000000000 -0800
> @@ -841,6 +841,8 @@ int class_device_rename(struct class_dev

This function is not in the 2.6.21-rc2 kernel, so you might want to
rework this patch a bit :)

Also, it's userspace that causes the rename to happen, so it knows it
did it, why should the kernel have to emit a message to tell userspace
again what just happened?

thanks,

greg k-h